## coq-relation-algebra 1.7.11

=== Makefile ===
-include Makefile.coq

Makefile.coq: 
	$(COQBIN)coq_makefile -f _CoqProject -o Makefile.coq

cleanall:: clean
	rm -f Makefile.coq* depgraph.* */*.d

depgraph.dot::
	@echo building dependency graph
	@echo "digraph {" > $@
	@ls -1 theories/*.v | grep -v theories/all |sed 's#theories/\(.*\)\.v#\1 [URL=".\/html\/RelationAlgebra.\1.html"];#g' >> $@
	@coqdep -f _CoqProject -dyndep no -m src/META.coq-relation-algebra \
	| grep vio \
	| sed 's#: [^ ]*\.v #->{#g' \
	| sed 's#src/META.coq-relation-algebra[ ]*##g' \
	| sed 's/\.vio//g' \
	| sed 's/[ ]*$$/};/g' \
	| sed 's/ /;/g' \
	| sed 's#theories/##g' \
	| sed 's#examples/.*##g' \
	| sed 's#all.*##g' \
	>> $@;
	@echo "}" >> $@

%.svg: %.dot
	tred $< | dot -Tsvg -o $@

## used to use [coqdep -dumpgraph] as follows
# 	coqdep theories/*.v -dumpgraph depgraph.dot 1>/dev/null 2>/dev/null
# 	sed -i 's/\[label=\"\([^"]*\)\"]/[label="\1";URL=".\/html\/RelationAlgebra.\1.html"]/g' depgraph.dot
# 	dot depgraph.dot -Tsvg -o depgraph.svg

enable-ssr::
	sed -i '/theories\/fhrel\.v/d' _CoqProject
	echo "theories/fhrel.v" >>_CoqProject
	$(COQBIN)coq_makefile -f _CoqProject -o Makefile.coq

disable-ssr::
	sed -i '/theories\/fhrel\.v/d' _CoqProject
	$(COQBIN)coq_makefile -f _CoqProject -o Makefile.coq

enable-aac::
	sed -i '/theories\/rewriting_aac\.v/d' _CoqProject
	echo "theories/rewriting_aac.v" >>_CoqProject
	$(COQBIN)coq_makefile -f _CoqProject -o Makefile.coq

disable-aac::
	sed -i '/theories\/rewriting_aac\.v/d' _CoqProject
	$(COQBIN)coq_makefile -f _CoqProject -o Makefile.coq

## coq-relation-algebra 1.7.8

=== debian/changelog ===
coq-relation-algebra (1.7.8-2) unstable; urgency=medium

  * Change b-dep from libcoq-ocaml-dev to libcoq-core-ocaml-dev.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 25 Jan 2023 13:12:21 +0100

coq-relation-algebra (1.7.8-1) unstable; urgency=medium

  * Initial release. (Closes: #1014991)

 -- Julien Puydt <jpuydt@debian.org>  Sun, 11 Sep 2022 14:30:52 +0200

=== debian/control ===
Source: coq-relation-algebra
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: coq,
               debhelper-compat (= 13),
               dh-coq,
               dh-ocaml,
               libcoq-aac-tactics,
               libcoq-mathcomp-ssreflect,
               libcoq-core-ocaml-dev,
               libcoq-stdlib
Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-relation-algebra
Vcs-Git: https://salsa.debian.org/ocaml-team/coq-relation-algebra.git
Homepage: https://github.com/damien-pous/relation-algebra

Package: libcoq-relation-algebra
Architecture: any
Depends: ${coq:Depends}, ${misc:Depends}
Provides: ${coq:Provides}
Description: relation algebra for Coq
 This package provides a library on relation algebras, that
 is those admitting heterogeneous binary relations as a model,
 ranging from partially ordered monoid to residuated Kleen
 allegories and Kleene algebras with tests.
 .
 Coq is a proof assistant for higher-order logic.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with coq,ocaml

override_dh_auto_clean:
	@echo "Doesn't work as expected"

override_dh_auto_configure:
	./configure --enable-ssr --enable-aac

override_dh_auto_install:
	DESTDIR=debian/tmp make install
	find debian/tmp -empty -delete

## coq-relation-algebra 1.7.9

=== debian/changelog ===
coq-relation-algebra (1.7.9-2build5) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Apr 2024 09:18:13 +0200

coq-relation-algebra (1.7.9-2build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:55:38 +0000

coq-relation-algebra (1.7.9-2build3) noble; urgency=medium

  * No-change rebuild for new libcoq-stdlib ABI

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 00:15:09 +0000

coq-relation-algebra (1.7.9-2build2) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2024 01:26:28 +0100

coq-relation-algebra (1.7.9-2build1) noble; urgency=medium

  * Rebuild against latest coq libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 27 Jan 2024 19:48:41 -0500

coq-relation-algebra (1.7.9-2) unstable; urgency=medium

  * Fix d/rules clean target (Closes: #1044907).
  * Add a patch for Coq 8.18 compatibility.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 22 Dec 2023 11:22:18 +0100

coq-relation-algebra (1.7.9-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.2.
  * Add lintian overrides for false positives.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 14 Jun 2023 15:46:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: coq-relation-algebra
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Build-Depends: coq,
+Build-Depends: coq (>= 8.18),
                debhelper-compat (= 13),
                dh-coq,
                dh-ocaml,

=== debian/watch ===
version=4
https://github.com/damien-pous/relation-algebra/tags .*/v\.([\d\.-]+).tar.gz

## coq-relation-algebra 1.7.10

=== debian/changelog ===
coq-relation-algebra (1.7.10-4build6) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2024 17:51:50 +0200

coq-relation-algebra (1.7.10-4build5) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Sep 2024 21:50:25 +0200

coq-relation-algebra (1.7.10-4build4) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 08 Sep 2024 04:44:52 +0200

coq-relation-algebra (1.7.10-4build3) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Sep 2024 09:04:26 +0200

coq-relation-algebra (1.7.10-4build2) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 15 Aug 2024 08:41:15 +0200

coq-relation-algebra (1.7.10-4build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:53:42 +0200

coq-relation-algebra (1.7.10-4) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sun, 04 Aug 2024 08:10:54 +0200

coq-relation-algebra (1.7.10-3) unstable; urgency=medium

  * Fix target distribution.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 26 Apr 2024 15:58:24 +0200

coq-relation-algebra (1.7.10-2) binary; urgency=medium

  * Rebuild for binary compatibility.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 30 Mar 2024 11:14:44 +0100

coq-relation-algebra (1.7.10-1) unstable; urgency=medium

  * Modify d/watch to cope with upstream changing tag format.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 25 Jan 2024 06:35:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: coq-relation-algebra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional

## coq-relation-algebra 1.7.11

=== debian/changelog ===
coq-relation-algebra (1.7.11-1build10) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Oct 2025 22:47:29 +0200

coq-relation-algebra (1.7.11-1build9) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 31 Aug 2025 21:20:37 +0200

coq-relation-algebra (1.7.11-1build8) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 18:35:58 +0200

coq-relation-algebra (1.7.11-1build7) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 May 2025 10:06:18 +0200

coq-relation-algebra (1.7.11-1build6) questing; urgency=medium

  * Rebuild against latest coq libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 May 2025 07:25:15 -0400

coq-relation-algebra (1.7.11-1build5) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Feb 2025 08:16:37 +0100

coq-relation-algebra (1.7.11-1build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2025 21:56:16 +0100

coq-relation-algebra (1.7.11-1build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Jan 2025 09:06:33 +0100

coq-relation-algebra (1.7.11-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:41:38 +0100

coq-relation-algebra (1.7.11-1build1) plucky; urgency=medium

  * Rebuild against latest coq libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 20 Dec 2024 08:42:09 -0500

coq-relation-algebra (1.7.11-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.0.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 20 Nov 2024 10:56:33 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: coq (>= 8.18),
                debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,15 @@
 	dh $@ --with coq,ocaml
 
 override_dh_auto_clean:
-	@echo "Doesn't work as expected"
+	make clean
+	find . -name "*.aux" -delete
+	rm -f Makefile.coq Makefile.coq.conf .nia.cache
+	if test -f _CoqProject.orig; then \
+	  mv _CoqProject.orig _CoqProject; \
+	fi
 
 override_dh_auto_configure:
+	cp _CoqProject _CoqProject.orig
 	./configure --enable-ssr --enable-aac
 
 override_dh_auto_install:

## coq-relation-algebra 1.8.0

=== Makefile ===
KNOWNTARGETS := RocqMakefile
KNOWNFILES   := Makefile _RocqProject

.DEFAULT_GOAL := invoke-rocqmakefile

RocqMakefile: Makefile _RocqProject
	$(ROCQBIN)rocq makefile -f _RocqProject -docroot . -o RocqMakefile

invoke-rocqmakefile: RocqMakefile
	$(MAKE) --no-print-directory -f RocqMakefile $(filter-out $(KNOWNTARGETS),$(MAKECMDGOALS))

.PHONY: invoke-rocqmakefile $(KNOWNFILES)

cleanall:: clean
	rm -f RocqMakefile* *.d *.log */*.glob */.*.aux */*.vo*

depgraph.dot::
	@echo building dependency graph
	@echo "digraph {" > $@
	@ls -1 theories/*.v | grep -v theories/all |sed 's#theories/\(.*\)\.v#\1 [URL=".\/html\/RelationAlgebra.\1.html"];#g' >> $@
	@$(ROCQBIN)rocq dep -f _RocqProject theories/fhrel.v theories/rewriting_aac.v -dyndep no \
	| sed -n 's/\.vo.*:.*\.v /->{/p' \
	| sed 's/[^ ]*rocqworker//g' \
	| sed 's/[^ ]*META[^ ]*//g' \
	| sed 's/\.vo//g' \
	| sed '/^^ *$$/d' \
	| sed 's/[ ]$$/};/g' \
	| sed 's/  */;/g' \
	| sed 's#theories/##g' \
	| sed 's#examples/.*##g' \
	| sed 's#all.*##g' \
	>> $@;
	@echo "}" >> $@

%.svg: %.dot
	tred $< | dot -Tsvg -o $@

# This should be the last rule, to handle any targets not declared above
%: invoke-rocqmakefile
	@true

=== debian/changelog ===
coq-relation-algebra (1.8.0-1) experimental; urgency=medium

  * Bump standards-version to 4.7.2.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 30 Oct 2025 07:59:46 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Build-Depends: coq (>= 8.18),
+Build-Depends: coq,
                debhelper-compat (= 13),
                dh-coq,
                dh-ocaml,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

export DEB_BUILD_OPTIONS += noautodbgsym

%:
	dh $@ --with coq,ocaml

override_dh_auto_clean:
	make clean
	find . -name "*.aux" -delete
	rm -f RocqMakefile RocqMakefile.conf .nia.cache
	if test -f _RocqProject.orig; then \
	  mv _RocqProject.orig _RocqProject; \
	fi

override_dh_auto_configure:
	cp _RocqProject _RocqProject.orig
	./configure --enable-ssr --enable-aac

override_dh_auto_install:
	DESTDIR=debian/tmp make install
	find debian/tmp -empty -delete

=== debian/tests/control ===
Test-Command: coqtop -batch -rifrom RelationAlgebra all
Restrictions: allow-stderr
Depends: coq, @

=== debian/watch ===
version=4
https://github.com/damien-pous/relation-algebra/tags .*/v\.?([\d\.-]+).tar.gz
